unit XL_Events_IMPL;

interface

uses
  ComObj, ComServ, ActiveX, Variants, adxAddIn, XL_Events_TLB, StdVcl,
  Dialogs, Excel2000;

type
  TXLAddin = class(TadxAddin, IXLAddin)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    procedure adxCOMAddInModuleAddInInitialize(Sender: TObject);
    procedure adxCOMAddInModuleAddInFinalize(Sender: TObject);
  private
    procedure DoOnWorkbookBeforeSave(ASender: TObject; const Wb: ExcelWorkbook;
      SaveAsUI: WordBool; var Cancel: WordBool);
  end;

implementation

{$R *.dfm}

{ TAddInModule }

procedure TAddInModule.adxCOMAddInModuleAddInInitialize(Sender: TObject);
begin
  ExcelApp.OnWorkbookBeforeSave := DoOnWorkbookBeforeSave;
end;

procedure TAddInModule.adxCOMAddInModuleAddInFinalize(Sender: TObject);
begin
  ExcelApp.OnWorkbookBeforeSave := nil;
end;

procedure TAddInModule.DoOnWorkbookBeforeSave(ASender: TObject;
  const Wb: ExcelWorkbook; SaveAsUI: WordBool; var Cancel: WordBool);
begin
  ShowMessage('User is trying to save');
end;

initialization
  TadxFactory.Create(ComServer, TXLAddin, CLASS_XLAddin, TAddInModule);

end.
